@media screen and (max-width: 1200px) {
  #desktop-nav {
    display: none;
  }

  #hamburger-nav {
    display: flex;
  }
}

@media screen and (max-width: 800px) {
  footer {
    height: 40vh;
  }

  footer nav {
    height: fit-content;
    margin-bottom: 2rem;
  }

  .about-containers,
  .btn-container {
    flex-wrap: wrap;
  }

  .nav-links {
    flex-direction: column;
    gap: 0.5rem;
    text-align: center;
  }

  .section__pic-container {
    width: auto;
    height: 56vw;
    justify-content: center;
  }

  .section__text__p2 {
    font-size: 1.25rem;
  }

  .title {
    font-size: 1.8rem;
  }

  .top-title1 {
    font-size: 2.2rem;
  }

  #timeline_text {
    font-size: 1.3rem;
  }

  /* change the timeline text size  to be smaller */
  .timeline h2 {
    font-size: 1.2rem;
  }

  .timeline h3 {
    font-size: 0.8rem;
  }

  .bento-grid {
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  }

  .grid-item {
    flex-direction: column;
  }

  .feature p {
    font-size: 0.8rem;
  }

  .grid-item h2 {
    font-size: 1.2rem;
  }

  #contact .section__text__p1 {
    font-size: 1rem;
  }

  #contact .title {
    font-size: 1.4rem;
  }

  #contact img {
    height: 1.5rem;
    width: 1.5rem;
    cursor: pointer;
  }

  .timeline p {
    font-size: 0.7rem;
  }

  .text-container {
    text-align: justify;
  }
}